# Generated from factory_girl-remote_api-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name factory_girl-remote_api

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: An API for your FactoryGirl factories
License: MIT
URL: https://github.com/jtescher/factory_girl-remote_api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3) >= 1.3.7
# BuildRequires: rubygem(sqlite3) < 1.4
# BuildRequires: rubygem(rails) >= 3.1.0
# BuildRequires: rubygem(rspec-rails) >= 2.14.0
# BuildRequires: rubygem(rspec-rails) < 2.15
# BuildRequires: rubygem(capybara) >= 2.1.0
# BuildRequires: rubygem(capybara) < 2.2
# BuildRequires: rubygem(simplecov) >= 0.8.1
# BuildRequires: rubygem(simplecov) < 0.9
# BuildRequires: rubygem(coveralls) >= 0.7.0
# BuildRequires: rubygem(coveralls) < 0.8
# BuildRequires: rubygem(appraisal) >= 1.0.0.beta2
# BuildRequires: rubygem(appraisal) < 1.1
# BuildRequires: rubygem(database_cleaner) >= 1.2.0
# BuildRequires: rubygem(database_cleaner) < 1.3
BuildArch: noarch

%description
Simply creates an HTTP API for your FactoryGirl factories to be used by client
tests.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.4.1-1
- Initial package
